public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Lars Wendler" <polynomial-c@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-misc/dhcp/
Date: Wed, 13 Jan 2016 09:45:18 +0000 (UTC)	[thread overview]
Message-ID: <1452678310.ae8350b926cd8e1695914433048611a5abb30f5a.polynomial-c@gentoo> (raw)

commit:     ae8350b926cd8e1695914433048611a5abb30f5a
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Wed Jan 13 09:41:13 2016 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Wed Jan 13 09:45:10 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ae8350b9

net-misc/dhcp: Bump to version 4.3.3_p1

Package-Manager: portage-2.2.26
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 net-misc/dhcp/Manifest             |   1 +
 net-misc/dhcp/dhcp-4.3.3_p1.ebuild | 258 +++++++++++++++++++++++++++++++++++++
 2 files changed, 259 insertions(+)

diff --git a/net-misc/dhcp/Manifest b/net-misc/dhcp/Manifest
index d4813d9..7babe8f 100644
--- a/net-misc/dhcp/Manifest
+++ b/net-misc/dhcp/Manifest
@@ -1,4 +1,5 @@
 DIST dhcp-4.2.5-P1.tar.gz 8255960 SHA256 59b06c9f5d775e46999b422c45b9229402c462b114ce1685617bfb2b8b028250 SHA512 02a811b6e88ce013f7ecff6abf81d4b2aff82fff584521ae03fc3242b6036d0d0ad3afc6283fe8b97d18b8fffd4b6d2253386897ae2297c165240017f5f219ec WHIRLPOOL b8cf91c69ae0e1b234089ce3fae4b9daf5bde7f415d8cbc274ab4d006c8aa25f55807c70ba4c6771e0c9803ec5a99f8cc2088e561cac7d16479f5f022ee5459f
 DIST dhcp-4.3.1.tar.gz 8980806 SHA256 266cbca8a7a6bb8f9ccc5765da0d2b04099329314a54a4fc1022d510ad3e9af0 SHA512 84ca525fda825bf367a98754f1fb1b8eba5b095c92c25ddaec6e30b31008c7d5c43062ae43cecaa43731a8e78ae406a3123906fd402d2ba4b46b7adbae65aa6a WHIRLPOOL 3fd3720f6883b43856d2169264ee2adfb541b793604728c4e5cc3b647d4a88d6245fb6e53062de4118301cc15f0b4388363eba304bf3623dfb88c91bde94b2b6
 DIST dhcp-4.3.2.tar.gz 9230340 SHA256 6246c9b358759f6cdcc45104caaf76e732a211dbbbbf64a21f499c8db1298165 SHA512 b91a0a90736c6e8bd66a74af8c67949c81db3148eba23ee647f0987bbd98543f0dfd1605c94e152b28a606bbbecd94cd8a8112db5f5fe4c3d041101bda1b95da WHIRLPOOL a201cea52e96517ff1dae2b6c05b05da11feb4c2eed6dca539ea5ab3185711377cd7f7ed9ecc5e5f2bc30bc84d73a85d4140154c43b4f0f27a7e0a4a51f56787
+DIST dhcp-4.3.3-P1.tar.gz 9204043 SHA256 c11e896dffa1bfbc49462965d3f6dec45534e34068603546d9a236f2aa669921 SHA512 7e14268b4acaa82c807af9d956f76f4327a9a75d36273a244fef74dbd54e7506e8b38ce6035e56f61ab09a19bfc0a40599f76c89dc342514f1048b5ac3b2a0eb WHIRLPOOL a0a6873e2f1625cfa208c328ed2d6ec507e239456d6eba24f5731a83ba16f5fbb36f0d6d99fd33fb9045cbf051116196a57c6c2ded2b36e93964475ad29d2b0e
 DIST dhcp-4.3.3.tar.gz 9205539 SHA256 553c4945b09b1c1b904c4780f34f72aaefa2fc8c6556715de0bc9d4e3d255ede SHA512 33671816e21456ffec57e2c9ab2d129377096b4e2e5b4ca8194dcd9495c6a9e18a2a5e79d4f05694f3dc841895aa0adb63afd7bd6fe4641eb5a80d3fd7e715d9 WHIRLPOOL 27e7f2fdd1f1f7b3309b444a67e21d139468317538345cc3599e6a47f20489fa5d07018eabe8e32c429f2f16f03c28b22b29bff2ab08972f541c63603bd3df9a

diff --git a/net-misc/dhcp/dhcp-4.3.3_p1.ebuild b/net-misc/dhcp/dhcp-4.3.3_p1.ebuild
new file mode 100644
index 0000000..535c9ae
--- /dev/null
+++ b/net-misc/dhcp/dhcp-4.3.3_p1.ebuild
@@ -0,0 +1,258 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils systemd toolchain-funcs user
+
+MY_PV="${PV//_alpha/a}"
+MY_PV="${MY_PV//_beta/b}"
+MY_PV="${MY_PV//_rc/rc}"
+MY_PV="${MY_PV//_p/-P}"
+MY_P="${PN}-${MY_PV}"
+DESCRIPTION="ISC Dynamic Host Configuration Protocol (DHCP) client/server"
+HOMEPAGE="http://www.isc.org/products/DHCP"
+SRC_URI="ftp://ftp.isc.org/isc/dhcp/${MY_P}.tar.gz
+	ftp://ftp.isc.org/isc/dhcp/${MY_PV}/${MY_P}.tar.gz"
+
+LICENSE="ISC BSD SSLeay GPL-2" # GPL-2 only for init script
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd"
+IUSE="+client ipv6 kernel_linux ldap libressl selinux +server ssl vim-syntax"
+
+DEPEND="
+	client? (
+		kernel_linux? (
+			ipv6? ( sys-apps/iproute2 )
+			sys-apps/net-tools
+		)
+	)
+	ldap? (
+		net-nds/openldap
+		ssl? (
+			!libressl? ( dev-libs/openssl:0 )
+			libressl? ( dev-libs/libressl )
+		)
+	)"
+RDEPEND="${DEPEND}
+	selinux? ( sec-policy/selinux-dhcp )
+	vim-syntax? ( app-vim/dhcpd-syntax )"
+
+S="${WORKDIR}/${MY_P}"
+
+src_unpack() {
+	unpack ${A}
+	# handle local bind hell
+	cd "${S}"/bind
+	unpack ./bind.tar.gz
+}
+
+src_prepare() {
+	# Gentoo patches - these will probably never be accepted upstream
+	# Fix some permission issues
+	epatch "${FILESDIR}"/${PN}-3.0-fix-perms.patch
+	# Enable dhclient to equery NTP servers
+	epatch "${FILESDIR}"/${PN}-4.0-dhclient-ntp.patch
+	epatch "${FILESDIR}"/${PN}-4.3.1-dhclient-resolvconf.patch
+	# Stop downing the interface on Linux as that breaks link daemons
+	# such as wpa_supplicant and netplug
+	epatch "${FILESDIR}"/${PN}-3.0.3-dhclient-no-down.patch
+	# Enable dhclient to get extra configuration from stdin
+	epatch "${FILESDIR}"/${PN}-4.2.2-dhclient-stdin-conf.patch
+	epatch "${FILESDIR}"/${PN}-4.2.2-nogateway.patch #265531
+	epatch "${FILESDIR}"/${PN}-4.2.4-quieter-ping.patch #296921
+	epatch "${FILESDIR}"/${PN}-4.2.4-always-accept-4.patch #437108
+	epatch "${FILESDIR}"/${PN}-4.2.5-iproute2-path.patch #480636
+	epatch "${FILESDIR}"/${PN}-4.2.5-bindtodevice-inet6.patch #471142
+	epatch "${FILESDIR}"/${PN}-4.3.3-ldap-ipv6-client-id.patch #559832
+
+	# Brand the version with Gentoo
+	sed -i \
+		-e "/VERSION=/s:'$: Gentoo-${PR}':" \
+		configure || die
+
+	# Change the hook script locations of the scripts
+	sed -i \
+		-e 's,/etc/dhclient-exit-hooks,/etc/dhcp/dhclient-exit-hooks,g' \
+		-e 's,/etc/dhclient-enter-hooks,/etc/dhcp/dhclient-enter-hooks,g' \
+		client/scripts/* || die
+
+	# No need for the linux script to force bash #158540
+	sed -i -e 's,#!/bin/bash,#!/bin/sh,' client/scripts/linux || die
+
+	# Quiet the freebsd logger a little
+	sed -i -e '/LOGGER=/ s/-s -p user.notice //g' client/scripts/freebsd || die
+
+	# Remove these options from the sample config
+	sed -i -r \
+		-e "/(script|host-name|domain-name) /d" \
+		client/dhclient.conf.example || die
+
+	if use client && ! use server ; then
+		sed -i -r \
+			-e '/^SUBDIRS/s:\<(dhcpctl|relay|server)\>::g' \
+			Makefile.in || die
+	elif ! use client && use server ; then
+		sed -i -r \
+			-e '/^SUBDIRS/s:\<client\>::' \
+			Makefile.in || die
+	fi
+
+	# Only install different man pages if we don't have en
+	if [[ " ${LINGUAS} " != *" en "* ]]; then
+		# Install Japanese man pages
+		if [[ " ${LINGUAS} " == *" ja "* && -d doc/ja_JP.eucJP ]]; then
+			einfo "Installing Japanese documention"
+			cp doc/ja_JP.eucJP/dhclient* client
+			cp doc/ja_JP.eucJP/dhcp* common
+		fi
+	fi
+	# Now remove the non-english docs so there are no errors later
+	rm -rf doc/ja_JP.eucJP
+
+	# make the bind build work
+	binddir=${S}/bind
+	cd "${binddir}" || die
+	cat <<-EOF > bindvar.tmp
+	binddir=${binddir}
+	GMAKE=${MAKE:-gmake}
+	EOF
+	epatch "${FILESDIR}"/${PN}-4.3.3-bind-disable.patch
+	cd bind-*/
+	epatch "${FILESDIR}"/${PN}-4.2.2-bind-parallel-build.patch #380717
+	epatch "${FILESDIR}"/${PN}-4.2.2-bind-build-flags.patch
+}
+
+src_configure() {
+	# bind defaults to stupid `/usr/bin/ar`
+	tc-export AR BUILD_CC
+	export ac_cv_path_AR=${AR}
+
+	# this is tested for by the bind build system, and can cause trouble
+	# when cross-building; since dhcp itself doesn't make use of libcap,
+	# simply disable it.
+	export ac_cv_lib_cap_cap_set_proc=no
+
+	# Use FHS sane paths ... some of these have configure options,
+	# but not all, so just do it all here.
+	local e="/etc/dhcp" r="/var/run/dhcp" l="/var/lib/dhcp"
+	cat <<-EOF >> includes/site.h
+	#define _PATH_DHCPD_CONF     "${e}/dhcpd.conf"
+	#define _PATH_DHCLIENT_CONF  "${e}/dhclient.conf"
+	#define _PATH_DHCPD_DB       "${l}/dhcpd.leases"
+	#define _PATH_DHCPD6_DB      "${l}/dhcpd6.leases"
+	#define _PATH_DHCLIENT_DB    "${l}/dhclient.leases"
+	#define _PATH_DHCLIENT6_DB   "${l}/dhclient6.leases"
+	#define _PATH_DHCPD_PID      "${r}/dhcpd.pid"
+	#define _PATH_DHCPD6_PID     "${r}/dhcpd6.pid"
+	#define _PATH_DHCLIENT_PID   "${r}/dhcpclient.pid"
+	#define _PATH_DHCLIENT6_PID  "${r}/dhcpclient6.pid"
+	#define _PATH_DHCRELAY_PID   "${r}/dhcrelay.pid"
+	#define _PATH_DHCRELAY6_PID  "${r}/dhcrelay6.pid"
+	EOF
+
+	econf \
+		--enable-paranoia \
+		--enable-early-chroot \
+		--sysconfdir=${e} \
+		$(use_enable ipv6 dhcpv6) \
+		$(use_with ldap) \
+		$(use ldap && use_with ssl ldapcrypto || echo --without-ldapcrypto)
+
+	# configure local bind cruft.  symtable option requires
+	# perl and we don't want to require that #383837.
+	cd bind/bind-*/ || die
+	eval econf \
+		$(sed -n '/^bindconfig =/,/^$/{:a;N;$!ba;s,^[^-]*,,;s,\\\s*\n\s*--,--,g;s, @[[:upper:]]\+@,,g;P;D}' ../Makefile.in) \
+		--disable-symtable \
+		--without-make-clean
+}
+
+src_compile() {
+	# build local bind cruft first
+	emake -C bind/bind-*/lib/export install
+	# then build standard dhcp code
+	emake AR="$(tc-getAR)"
+}
+
+src_install() {
+	default
+
+	dodoc README RELNOTES doc/{api+protocol,IANA-arp-parameters}
+	dohtml doc/References.html
+
+	if [[ -e client/dhclient ]] ; then
+		# move the client to /
+		dodir /sbin
+		mv "${D}"/usr/sbin/dhclient "${D}"/sbin/ || die
+
+		exeinto /sbin
+		if use kernel_linux ; then
+			newexe "${S}"/client/scripts/linux dhclient-script
+		else
+			newexe "${S}"/client/scripts/freebsd dhclient-script
+		fi
+	fi
+
+	if [[ -e server/dhcpd ]] ; then
+		if use ldap ; then
+			insinto /etc/openldap/schema
+			doins contrib/ldap/dhcp.*
+			dosbin contrib/ldap/dhcpd-conf-to-ldap
+		fi
+
+		newinitd "${FILESDIR}"/dhcpd.init5 dhcpd
+		newconfd "${FILESDIR}"/dhcpd.conf2 dhcpd
+		newinitd "${FILESDIR}"/dhcrelay.init3 dhcrelay
+		newconfd "${FILESDIR}"/dhcrelay.conf dhcrelay
+		newinitd "${FILESDIR}"/dhcrelay.init3 dhcrelay6
+		newconfd "${FILESDIR}"/dhcrelay6.conf dhcrelay6
+
+		systemd_newtmpfilesd "${FILESDIR}"/dhcpd.tmpfiles dhcpd.conf
+		systemd_dounit "${FILESDIR}"/dhcpd4.service
+		systemd_dounit "${FILESDIR}"/dhcpd6.service
+		systemd_dounit "${FILESDIR}"/dhcrelay4.service
+		systemd_dounit "${FILESDIR}"/dhcrelay6.service
+		systemd_install_serviced "${FILESDIR}"/dhcrelay4.service.conf
+		systemd_install_serviced "${FILESDIR}"/dhcrelay6.service.conf
+
+		sed -i "s:#@slapd@:$(usex ldap slapd ''):" "${ED}"/etc/init.d/* || die #442560
+	fi
+
+	# the default config files aren't terribly useful #384087
+	local f
+	for f in "${ED}"/etc/dhcp/*.conf.example ; do
+		mv "${f}" "${f%.example}" || die
+	done
+	sed -i '/^[^#]/s:^:#:' "${ED}"/etc/dhcp/*.conf || die
+}
+
+pkg_preinst() {
+	enewgroup dhcp
+	enewuser dhcp -1 -1 /var/lib/dhcp dhcp
+
+	# Keep the user files over the sample ones.  The
+	# hashing is to ignore the crappy defaults #384087.
+	local f h
+	for f in dhclient:da7c8496a96452190aecf9afceef4510 dhcpd:10979e7b71134bd7f04d2a60bd58f070 ; do
+		h=${f#*:}
+		f="/etc/dhcp/${f%:*}.conf"
+		if [ -e "${EROOT}"${f} ] ; then
+			case $(md5sum "${EROOT}"${f}) in
+				${h}*) ;;
+				*) cp -p "${EROOT}"${f} "${ED}"${f};;
+			esac
+		fi
+	done
+}
+
+pkg_postinst() {
+	if [[ -e "${ROOT}"/etc/init.d/dhcp ]] ; then
+		ewarn
+		ewarn "WARNING: The dhcp init script has been renamed to dhcpd"
+		ewarn "/etc/init.d/dhcp and /etc/conf.d/dhcp need to be removed and"
+		ewarn "and dhcp should be removed from the default runlevel"
+		ewarn
+	fi
+}


             reply	other threads:[~2016-01-13  9:45 UTC|newest]

Thread overview: 124+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-01-13  9:45 Lars Wendler [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-05-26 22:43 [gentoo-commits] repo/gentoo:master commit in: net-misc/dhcp/ Sam James
2024-03-24 11:35 Sam James
2024-03-24 11:35 Sam James
2024-03-24 11:35 Sam James
2024-03-24 11:35 Sam James
2024-03-24 11:35 Sam James
2024-03-24 11:35 Sam James
2024-03-24 11:29 Sam James
2024-02-18 11:29 Sam James
2024-02-18 11:29 Sam James
2024-02-18 11:29 Sam James
2023-07-14 12:09 Sam James
2023-06-17 22:48 Sam James
2023-06-17 15:13 Sam James
2023-06-17 10:42 Arthur Zamarin
2023-06-17  7:43 Arthur Zamarin
2023-06-17  6:12 Sam James
2023-06-17  5:57 Sam James
2023-06-17  5:57 Sam James
2023-05-27 15:29 Mike Gilbert
2023-05-21 20:38 Mike Gilbert
2023-04-28  6:27 Sam James
2023-03-04 10:15 Arthur Zamarin
2023-03-04  9:55 Arthur Zamarin
2023-03-04  8:07 Arthur Zamarin
2023-03-04  7:04 Arthur Zamarin
2023-03-04  5:47 Arthur Zamarin
2023-03-04  5:41 Arthur Zamarin
2023-03-04  5:38 Arthur Zamarin
2022-10-24 15:51 Mike Gilbert
2022-10-14  4:30 Arthur Zamarin
2022-10-14  4:14 Arthur Zamarin
2022-10-14  4:14 Arthur Zamarin
2022-10-13 23:20 Sam James
2022-10-13 23:19 Sam James
2022-10-13 23:01 Sam James
2022-10-13 22:37 Sam James
2022-10-05 19:21 Sam James
2022-09-16 17:17 Arthur Zamarin
2022-09-15 19:58 Arthur Zamarin
2022-09-08 11:35 Agostino Sarubbo
2022-09-08 10:52 Agostino Sarubbo
2022-09-08 10:32 Agostino Sarubbo
2022-09-08  3:31 Sam James
2022-09-08  3:31 Sam James
2022-04-28 18:00 Sam James
2022-04-28 17:52 Sam James
2022-03-22 23:32 Sam James
2022-01-04 10:30 David Seifert
2021-07-30 23:31 Sam James
2021-07-28  2:59 Sam James
2021-06-17  9:59 Yixun Lan
2021-06-08 14:10 Lars Wendler
2021-06-07  6:25 Sergei Trofimovich
2021-06-03 23:38 Sam James
2021-06-03 15:52 Sergei Trofimovich
2021-06-03  8:23 Sam James
2021-06-02 22:42 Sam James
2021-06-02 19:01 Sam James
2021-06-02 19:01 Sam James
2021-05-26 21:49 Lars Wendler
2021-04-29 18:00 Mikle Kolyada
2021-03-07 11:58 David Seifert
2021-02-26 11:38 Lars Wendler
2021-02-25  1:29 Sam James
2021-02-25  1:28 Sam James
2021-01-21 20:51 Mike Gilbert
2020-05-06 17:34 Sergei Trofimovich
2020-05-04  6:16 Mart Raudsepp
2020-05-03 12:30 Agostino Sarubbo
2020-05-03 10:30 Agostino Sarubbo
2020-05-03 10:25 Agostino Sarubbo
2020-05-03 10:12 Agostino Sarubbo
2020-05-03 10:01 Agostino Sarubbo
2020-02-18  8:23 Lars Wendler
2020-01-24 21:52 Lars Wendler
2020-01-23  9:08 Lars Wendler
2019-07-31 22:03 Lars Wendler
2019-02-16 23:38 Mart Raudsepp
2019-02-07 11:53 Mikle Kolyada
2019-02-04 20:16 Markus Meier
2019-01-30 13:20 Tobias Klausmann
2019-01-30  8:13 Sergei Trofimovich
2019-01-27 12:13 Sergei Trofimovich
2019-01-27 10:08 Lars Wendler
2018-09-08 13:57 Mart Raudsepp
2018-03-16 22:50 Lars Wendler
2018-03-13 19:51 Mikle Kolyada
2018-03-13 18:01 Markus Meier
2018-03-12  4:41 Matt Turner
2018-03-12  4:41 Matt Turner
2018-03-11  5:20 Matt Turner
2018-03-05 17:13 Tobias Klausmann
2018-03-04 11:13 Sergei Trofimovich
2018-03-02 23:21 Sergei Trofimovich
2018-03-02 14:15 Jason Zaman
2018-02-28 16:35 Lars Wendler
2018-02-08 13:40 Lars Wendler
2018-02-02 11:20 Lars Wendler
2017-11-08 22:27 Sergei Trofimovich
2017-10-09 14:29 Sergei Trofimovich
2017-08-29 21:39 Thomas Deutschmann
2017-08-25 13:28 Mikle Kolyada
2017-08-10  4:40 Markus Meier
2017-08-05 18:07 Sergei Trofimovich
2017-01-12 16:10 Jeroen Roovers
2016-11-30 19:32 Markus Meier
2016-11-27 16:43 Tobias Klausmann
2016-11-26 10:44 Agostino Sarubbo
2016-11-26 10:36 Agostino Sarubbo
2016-10-04 18:20 Lars Wendler
2016-10-04 18:20 Lars Wendler
2016-03-30 10:23 Lars Wendler
2016-03-20 11:53 Agostino Sarubbo
2016-03-19 11:35 Agostino Sarubbo
2016-01-18  4:52 Jeroen Roovers
2016-01-17 17:02 Agostino Sarubbo
2016-01-17 16:13 Tobias Klausmann
2016-01-17 11:30 Markus Meier
2016-01-15 13:00 Andreas Schuerch
2016-01-14 11:56 Agostino Sarubbo
2015-10-04 21:47 Julian Ospald
2015-09-06 15:37 Lars Wendler

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1452678310.ae8350b926cd8e1695914433048611a5abb30f5a.polynomial-c@gentoo \
    --to=polynomial-c@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox